Bug 1272119 - virt-v2v on W2K3 32-bit image fails
virt-v2v on W2K3 32-bit image fails
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
v2v
:
Depends On:
Blocks: 1288337
  Show dependency treegraph
 
Reported: 2015-10-15 10:20 EDT by François Cami
Modified: 2017-02-16 08:57 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-16 08:57:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-v2v log (1.17 MB, text/plain)
2015-10-15 10:20 EDT, François Cami
no flags Details

  None (edit)
Description François Cami 2015-10-15 10:20:10 EDT
Created attachment 1083276 [details]
virt-v2v log

Description of problem:
After running virt-v2v on a W2K3 disk image, to a RHEV target, the resulting VM doesn't boot.
The error is:
"Error loading operating system"
right after "Booting from Hard Disk"
Comment 2 Richard W.M. Jones 2015-10-15 12:12:00 EDT
We did a bit of investigation of this on IRC, and our best guess
so far is it's this issue with NTFS geometry:

https://forum.proxmox.com/threads/1629-P2V-with-Windows-2003-Server
Comment 3 Richard W.M. Jones 2015-10-15 12:17:45 EDT
Reporter used the Hiren's Boot CD (an all-in-one rescue CD) to fix the MBR.

 ``the customer used "TestDisk" to do "Rewrite MBR to first sector" 
    and Advanced=>FS Utils=>"Rebuild BootSector"''
Comment 4 François Cami 2015-10-15 12:41:10 EDT
From: http://www.netexpertise.eu/en/windows/hyper-v-error-loading-operating-system-after-running-disk2vhd.html

And: http://web.archive.org/web/20140831151616/http://www.xtralogic.com/testdisk_rebuild_bootsector.shtml

After virt-v2v and VM import in RHEV-M:

- Run Once VM on Hiren's boot cd
- Select "Dos Programs"
- Select "4. Recovery Tools..."
- Select "1. TestDisk"
- Select "No Log"
- Select Disk and "[Proceed ]"
- Select "[Intel ]"
- Select "[ MBR Code ]"
- Enter Y to "Write a new copy of MBR code to first sector?"
- Enter Y to "Write a new copy of MBR code, confirm?"
- Select "[Ok]"
- Select "[ Advanced ]"
- Select boot disk and "[ Boot ]"
- Select "[Rebuild BS]"
- Select "[ Write ]"
- Enter Y to "Write new NTFS boot sector, confirm?"
- Select "[ Quit ]", "[ Quit ]", "[ Quit ]", "[ Quit ]"
- Reboot the VM

After that, the VM boots.
Comment 5 François Cami 2015-10-15 12:42:22 EDT
I forgot to add: the virt-v2v tools used were those from RHEL 7.2 Beta - in fact, the whole VM was running RHEL 7.2 Beta installed from scratch.
Comment 6 Richard W.M. Jones 2016-06-22 09:11:33 EDT
Unclear to me what's going wrong here.  I'm fairly certain that
random rewriting the MBR isn't helping though.

Anyway, moving to RHEL 7.4.  This bug may not be solvable given
the lack of a way to reproduce it.
Comment 7 Richard W.M. Jones 2017-02-16 08:57:23 EST
Closing per discussion with the bug reporter.

Note You need to log in before you can comment on or make changes to this bug.